--NAME:default_pwsh_windows
--INFRA:CHECK
--PLUGINS:CHECK_ICMP,CHECK_PWSH_WINDOWS_STORAGE,CHECK_PWSH_WINDOWS_MEM,CHECK_PWSH_WINDOWS_LOAD

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_pwsh_windows','Pattern Windows');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),'-H $IP -w 200,50% -c 500,100%',300000,NULL,NULL,NULL,NULL,NULL,1);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_STORAGE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_STORAGE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_LOAD'),300000,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_INTERFACE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_INTERFACE'),300000,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_IO',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_IO'),300000,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_TIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_TIME'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_TIME'),300000,3);

INSERT INTO esia_service_pattern_included(included_id,included_name,included_pattern_id,included_plugin_id,included_parameter, included_interval,included_priority) VALUES (DEFAULT,'CHECK_PWSH_WINDOWS_UPTIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_pwsh_windows'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_UPTIME'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_PWSH_WINDOWS_UPTIME'),300000,3);
