--NAME:default_check_ssh_innovaphone
--INFRA:CHECK

INSERT INTO esia_service_patterns (pattern_id,pattern_name,pattern_description) VALUES (DEFAULT,'default_check_ssh_innovaphone','pattern de supervision des webapp Innovaphones');

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_ICMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_ICMP'),300000,NULL,NULL,NULL,NULL,NULL,'1',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_TCP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_TCP'),'-S $CHECKSN -H $NRPE_HOST -t 50 -c check_tcp -a $IP 22 5 10','300000',NULL,NULL,NULL,NULL,NULL,'2',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_LOAD',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_LOAD'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_LOAD'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_MEM',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_MEM'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_MEM'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_INTERFACE',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_INTERFACE'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_INTERFACE'),300000,NULL,NULL,NULL,NULL,NULL,3);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_STORAGE_ROOT',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_STORAGE'),'-T storage -t 50 -A /etc/esia/innovaphone/ssh/$IP.json -H $IP -m ''^/$'' -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_STORAGE_DISK1',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_STORAGE'),'-T storage -t 50 -A /etc/esia/innovaphone/ssh/$IP.json -H $IP -m ''^/mnt/sda1$'' -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_STORAGE_DISK2',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_STORAGE'),'-T storage -t 50 -A /etc/esia/innovaphone/ssh/$IP.json -H $IP -m ''^/mnt/sda2$'' -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_STORAGE_RUN',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_STORAGE'),'-T storage -t 50 -A /etc/esia/innovaphone/ssh/$IP.json -H $IP -m ''^/run$'' -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority,included_ok) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_STORAGE_TMP',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_STORAGE'),'-T storage -t 50 -A /etc/esia/innovaphone/ssh/$IP.json -H $IP -m ''^/tmp$'' -w 80 -c 90','300000',NULL,NULL,NULL,NULL,NULL,'4',NULL);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_TIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_TIME'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_TIME'),300000,NULL,NULL,NULL,NULL,NULL,7);

INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_UPTIME',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_UPTIME'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_UPTIME'),300000,NULL,NULL,NULL,NULL,NULL,7);


INSERT INTO esia_service_pattern_included (included_id,included_name,included_pattern_id,included_plugin_id,included_parameter,included_interval,included_program_id,included_program_parameter,included_unknown,included_warning,included_critical,included_priority) VALUES (DEFAULT,'CHECK_SSH_INNOVAPHONE_ALLRECORDS',(SELECT pattern_id FROM esia_service_patterns WHERE pattern_name='default_check_ssh_innovaphone'),(SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_ALLRECORDS'),(SELECT plugin_default_parameter FROM esia_plugins WHERE plugin_name='CHECK_SSH_INNOVAPHONE_ALLRECORDS'),300000,NULL,NULL,NULL,NULL,NULL,7);
