--NAME:CHECK_SNMP_MERAKI_CLIENT
--INFRA:CHECK

INSERT INTO esia_plugins(
            plugin_id, plugin_name, plugin_path, plugin_type,
            plugin_default_parameter, plugin_default_interval_time, plugin_description,plugin_priority,plugin_manufacturer,plugin_tag)
VALUES (DEFAULT,'CHECK_SNMP_MERAKI_CLIENT','/usr/local/esia/plugins/check_snmp_meraki.pl','default','-H snmp.meraki.com -p 16100 -C $SNMP_COM -T client -m $NODENAME -w 50 -c 90', 300000, 'Test le nombre de client connecté',3,'CISCO','CISCO,MERAKI,CLIENT,COUNT');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name,
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_MERAKI_CLIENT'),'GAUGE','#client=([0-9]*)#', 300,DEFAULT,'client',0,-1,'number','AREA','#007FFF');
